Subject: Re: 2.6.10 TCP troubles -- suggested patch

From: Rick Jones <[email-masked]>
Date: Tue, 15 Feb 2005 15:42:48 -0800

> In short, for properly working TCP stream with no drops and no
> reordering, Darwin delays ACKs until delack timer fires or PSH
> is seen :-)

As a supporter of ACK avoidance heuristics in general, I will come-out and say 
that the heuristic above does indeed sound quite broken.  It is not the 
heuristic with which I am familiar, which has a configurable maximum number of 
segments for which to delay the ACK.

rick jones